rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Typedefs | Functions | Variables
rpmmacro.h File Reference
RPM IO API.
`#include <stdio.h>`
`#include <stddef.h>`
`#include <rpm/rpmutil.h>`
`#include <rpm/rpmfileutil.h>`
Include dependency graph for rpmmacro.h:

Go to the source code of this file.

## Defines
#define | RMIL_DEFAULT -15
| Markers for sources of macros added throughout rpm.
#define | RMIL_MACROFILES -13
#define | RMIL_RPMRC -11
#define | RMIL_CMDLINE -7
#define | RMIL_TARBALL -5
#define | RMIL_SPEC -3
#define | RMIL_OLDSPEC -1
#define | RMIL_GLOBAL 0
## Typedefs
typedef struct rpmMacroEntry_s * | rpmMacroEntry
typedef struct rpmMacroContext_s * | rpmMacroContext
## Functions
void | rpmDumpMacroTable (rpmMacroContext mc, FILE *fp)
| Print macros to file stream.
int | expandMacros (void *spec, rpmMacroContext mc, char *sbuf, size_t slen)
| Expand macro into buffer.
void | addMacro (rpmMacroContext mc, const char *n, const char *o, const char *b, int level)
| Add macro to context.
void | delMacro (rpmMacroContext mc, const char *n)
| Delete macro from context.
int | rpmDefineMacro (rpmMacroContext mc, const char *macro, int level)
| Define macro in context.
void | rpmLoadMacros (rpmMacroContext mc, int level)
| Load macros from specific context into global context.
int | rpmLoadMacroFile (rpmMacroContext mc, const char *fn)
| Load macro context from a macro file.
void | rpmInitMacros (rpmMacroContext mc, const char *macrofiles)
| Initialize macro context from set of macrofile(s).
void | rpmFreeMacros (rpmMacroContext mc)
| Destroy macro context.
char * | rpmExpand (const char *arg,...) RPM_GNUC_NULL_TERMINATED
| Return (malloc'ed) concatenated macro expansion(s).
int | rpmExpandNumeric (const char *arg)
| Return macro expansion as a numeric value.
const char * | rpmConfigDir (void)
| Return rpm configuration base directory.
## Variables
rpmMacroContext | rpmGlobalMacroContext
rpmMacroContext | rpmCLIMacroContext
const char * | macrofiles
| List of macro files to read when configuring rpm.

## Detailed Description

Definition in file rpmmacro.h.

## Define Documentation

#define RMIL_CMDLINE -7

Definition at line 40 of file rpmmacro.h.

#define RMIL_DEFAULT -15

Markers for sources of macros added throughout rpm.

Definition at line 36 of file rpmmacro.h.

#define RMIL_GLOBAL 0

Definition at line 44 of file rpmmacro.h.

#define RMIL_MACROFILES -13

Definition at line 37 of file rpmmacro.h.

#define RMIL_OLDSPEC -1

Definition at line 43 of file rpmmacro.h.

#define RMIL_RPMRC -11

Definition at line 38 of file rpmmacro.h.

#define RMIL_SPEC -3

Definition at line 42 of file rpmmacro.h.

#define RMIL_TARBALL -5

Definition at line 41 of file rpmmacro.h.

Referenced by buildForTarget().

## Typedef Documentation

typedef struct rpmMacroContext_s* rpmMacroContext

Definition at line 20 of file rpmmacro.h.

typedef struct rpmMacroEntry_s* rpmMacroEntry

Definition at line 18 of file rpmmacro.h.

## Variable Documentation

rpmMacroContext rpmCLIMacroContext

rpmMacroContext rpmGlobalMacroContext